Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.exec
Class ET_DefaultHelpControl

    java.lang.Object
      com.sun.javatest.exec.ET_DefaultHelpControl

All Implemented Interfaces:
  ET_Control, ET_HelpControl

    public class ET_DefaultHelpControl

extends java.lang.Object
implements ET_HelpControl

Method Summary
`void` | `dispose()` Does nothing
`javax.swing.JMenu` | `getMenu()` Returts menu to be added to the menu mar
`java.util.List<javax.swing.Action>` | `getToolBarActionList()` Returns list of actions to be added to the tool bar
`void` | `restore(java.util.Map m)` Does nothing
`void` | `save(java.util.Map m)` Does nothing
`void` | `updateGUI()` Does nothing

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### updateGUI

    public void updateGUI()

  Does nothing

  Specified by:
    `updateGUI` in interface `ET_Control`

### save

    public void save(java.util.Map m)

  Does nothing

  Specified by:
    `save` in interface `ET_Control`

### restore

    public void restore(java.util.Map m)

  Does nothing

  Specified by:
    `restore` in interface `ET_Control`

### getMenu

    public javax.swing.JMenu getMenu()

  Description copied from interface: `ET_Control`
  Returts menu to be added to the menu mar

  Specified by:
    `getMenu` in interface `ET_Control`
  Returns:
    null

### getToolBarActionList

    public java.util.List<javax.swing.Action> getToolBarActionList()

  Description copied from interface: `ET_Control`
  Returns list of actions to be added to the tool bar

  Specified by:
    `getToolBarActionList` in interface `ET_Control`

### dispose

    public void dispose()

  Does nothing

  Specified by:
    `dispose` in interface `ET_Control`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.